## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class SQLValidator

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLValidator

All Implemented Interfaces:
  org.eclipse.jface.text.contentassist.IContextInformationPresenter, org.eclipse.jface.text.contentassist.IContextInformationValidator

    public class SQLValidator

extends java.lang.Object
implements org.eclipse.jface.text.contentassist.IContextInformationValidator, org.eclipse.jface.text.contentassist.IContextInformationPresenter

Author:
  lihuang

Constructor Summary
`SQLValidator()`

Method Summary
`void` `install(org.eclipse.jface.text.contentassist.IContextInformation info, org.eclipse.jface.text.ITextViewer viewer, int documentPosition)`
`boolean` `isContextInformationValid(int position)`
`boolean` `updatePresentation(int position, org.eclipse.jface.text.TextPresentation presentation)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLValidator

    public SQLValidator()

Method Detail

### install

    public void install(org.eclipse.jface.text.contentassist.IContextInformation info,
                        org.eclipse.jface.text.ITextViewer viewer,
                        int documentPosition)

  Specified by:
    `install` in interface `org.eclipse.jface.text.contentassist.IContextInformationPresenter`
  Specified by:
    `install` in interface `org.eclipse.jface.text.contentassist.IContextInformationValidator`
  See Also:
    `IContextInformationValidator.install(IContextInformation, ITextViewer, int)`, `IContextInformationPresenter.install(IContextInformation, ITextViewer, int)`

### isContextInformationValid

    public boolean isContextInformationValid(int position)

  Specified by:
    `isContextInformationValid` in interface `org.eclipse.jface.text.contentassist.IContextInformationValidator`
  See Also:
    `IContextInformationValidator.isContextInformationValid(int)`

### updatePresentation

    public boolean updatePresentation(int position,
                                      org.eclipse.jface.text.TextPresentation presentation)

  Specified by:
    `updatePresentation` in interface `org.eclipse.jface.text.contentassist.IContextInformationPresenter`
  See Also:
    `IContextInformationPresenter.updatePresentation(int, TextPresentation)`